﻿@using System.Web.UI.WebControls;
@using Portal.Models.DailyOrder;

<table border="0">
    <tr>
        <td style="height:25px; padding-right:4px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier";
                    label.Width = Unit.Pixel(80);
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "SupplierCode";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
            }).GetHtml()
        </td>
        <td style="height:25px; padding-right:4px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Total Manifest";
                    label.Width = Unit.Pixel(90);
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "TotalManifest";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
            }).GetHtml()
        </td>            
        </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Capability";
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "Capability";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
            }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Order Plan Qty";
                }).GetHtml()
        </td>
        <td style="padding-right:10px;">
            @Html.DevExpress().TextBox(
            settings =>
            {
                settings.Name = "OrderPlantQty";
                settings.Width = new System.Web.UI.WebControls.Unit(100);
                settings.ReadOnly = true;
                settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);
                settings.ControlStyle.HorizontalAlign = HorizontalAlign.Right;
            }).GetHtml()
        </td>
    </tr>
</table>
<br />
<table width="100%" cellpadding="0" cellspacing="0">
    <tr>
        <td width="220px" />
        @*<td align="right" width="60px">
        @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnUndoCancelReguler";
                settings.Text = "Undo Cancel Manifest Order";
                settings.Width = Unit.Pixel(185);
                settings.ClientSideEvents.Click = "function(s,e){ popupUndoCancel.Show(); }";
            }
            ).GetHtml()            
        </td>            *@
        <td align="right" style="padding-right:20px">
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnCancel";
                settings.Text = "Cancel Manifest Order";
                settings.Width = Unit.Pixel(150);
                settings.ClientSideEvents.Click = "CancelManifest";

                // authorization code
                int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("DailyOrder", "OIHCancelOrderButton");

                switch (auth)
                {
                    case 0:
                        settings.ClientVisible = false;
                        break;
                    case 1:
                        settings.Enabled = false;
                        break;
                    case 2:
                        settings.ClientVisible = true;
                        settings.Enabled = true;
                        break;
                    default:
                        settings.ClientVisible = true;
                        settings.Enabled = true;
                        break;
                }
            }
            ).GetHtml()            
        </td>
    </tr>
</table>